// This code generates a "Raw Searcher" to handle search queries. The Raw 
  // Searcher requires you to handle and draw the search results manually.
  google.load('search', '1');

  var newsSearch;

  function searchComplete() {

    // Check that we got results
    var oContent = document.getElementById('content_news'), sContent = "";
    oContent.innerHTML = '';
    if (newsSearch.results && newsSearch.results.length > 0) {
      for (var i = 0; i < newsSearch.results.length; i++) {

        // Create HTML elements for search results
        sContent += "<section class = 'news_element'><h4><a href='"+ decodeURIComponent(newsSearch.results[i].url) +"'>"+ newsSearch.results[i].title+"</a></h4>";
        sContent += "<p class ='news_content'>"+ newsSearch.results[i].content +"</p></section>"
      }
      oContent.innerHTML = "<section><h2>Google News</h2>"+sContent+"</section>";
    }
  }

  function onLoad() {

    // Create a News Search instance.
    newsSearch = new google.search.NewsSearch();

    // Set searchComplete as the callback function when a search is 
    // complete.  The newsSearch object will have results in it.
    newsSearch.setSearchCompleteCallback(this, searchComplete, null);

    // Specify search quer(ies)
    var sKeyword = $("h1").text();
    newsSearch.execute(sKeyword + " music");

    // Include the required Google branding
    google.search.Search.getBranding('branding');
  }

  // Set a callback to call your code when the page loads
  google.setOnLoadCallback(onLoad);